org.eclipse.emf.cdo.spi.server

## Class QueryHandlerFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.spi.server.QueryHandlerFactory

- All Implemented Interfaces:
    IFactory
  Direct Known Subclasses:
    OCLQueryHandler.Factory

      public abstract class QueryHandlerFactory
      extends Factory

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryHandlerFactory(java.lang.String language)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract IQueryHandler` | `create(java.lang.String description)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueryHandlerFactory

          public QueryHandlerFactory(java.lang.String language)

  - ### Method Detail

    - #### create

          public abstract IQueryHandler create(java.lang.String description)
                                        throws ProductCreationException

      Throws:
        `ProductCreationException`
      Since:
        3.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html